#include <iostream>

using namespace std;

int main()
{
    int rezultat=0;
    int n, m;
    cin >> n>> m;
    int a[n];
    int s=0;
    for(int i = 0; i < n; i++)
    {
        cin >> a[i];
        s+=a[i];
    }
    int niz[m];
    int niz2[m];
    for(int i = 0; i < m; i++) niz[i] = 0;
    for(int i = 0; i < m; i++) niz2[i] = 0;
    int x = (m+1)/2;
    if(s<(n*m/2))
    {
        for(int i = 0; i < n; i++)
        {
            for(int j = 0; j < a[i]; j++)
            {
                niz2[j]++;
            }
            if(a[i] < x)
            {
                for(int j = 0; j < a[i]; j++)
                {
                    niz[j]++;
                }
            }
            else
            {

                for(int j = a[i]; j < m; j++)
                {
                    niz[j]++;
                }
            }
        }
    }
    if(s>=(n*m/2))
    {
        for(int i = 0; i < n; i++)
        {
            for(int j = 0; j < a[i]; j++)
            {
                niz2[j]++;
            }

            if(a[i] > x)
            {
                for(int j = 0; j < a[i]; j++)
                {
                    niz[j]++;
                }
            }
            else
            {

                for(int j = a[i]; j < m; j++)
                {
                    niz[j]++;
                }
            }
        }
    }
    int gg=0;
    for(int i = 0; i < m; i++) gg += niz[i] * (n - niz[i]);
    int gg1=0;
    for(int i = 0; i < m; i++) gg1 += niz2[i] * (n - niz2[i]);
    rezultat = min(gg,gg1);
    cout << rezultat;
    return 0;
}